classification
Title: cmath.cos and cmath.cosh have "nResult" typo in help
Type: Stage:
Components: Documentation Versions: Python 3.0, Python 2.4, Python 2.6, Python 2.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: georg.brandl, mark.dickinson, mnewman
Priority: normal Keywords:

Created on 2009-02-28 15:29 by mnewman, last changed 2009-02-28 15:51 by mark.dickinson. This issue is now closed.

Messages (2)
msg82915 - (view) Author: Michael Newman (mnewman) Date: 2009-02-28 15:29
cmath.cos and cmath.cosh have "nResult" typo in their help text.

"""
Python 3.0.1 (r301:69561, Feb 13 2009, 20:04:18) [MSC v.1500 32 bit
(Intel)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> import cmath
>>> help(cmath.cos)
Help on built-in function cos in module cmath:

cos(...)
    cos(x)
    nReturn the cosine of x.

>>> help(cmath.cosh)
Help on built-in function cosh in module cmath:

cosh(...)
    cosh(x)
    nReturn the hyperbolic cosine of x.
"""

Likewise in Py26, Py25, and Py24...

"""
Python 2.6.1 (r261:67517, Dec  4 2008, 16:51:00) [MSC v.1500 32 bit
(Intel)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> import cmath
>>> help(cmath.cos)
Help on built-in function cos in module cmath:

cos(...)
    cos(x)
    nReturn the cosine of x.

>>> help(cmath.cosh)
Help on built-in function cosh in module cmath:

cosh(...)
    cosh(x)
    nReturn the hyperbolic cosine of x.
"""

"""
Python 2.5.4 (r254:67916, Dec 23 2008, 15:10:54) [MSC v.1310 32 bit
(Intel)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> import cmath
>>> help(cmath.cos)
Help on built-in function cos in module cmath:

cos(...)
    cos(x)
    nReturn the cosine of x.

>>> help(cmath.cosh)
Help on built-in function cosh in module cmath:

cosh(...)
    cosh(x)
    nReturn the hyperbolic cosine of x.
"""

"""
Python 2.4.4 (#71, Oct 18 2006, 08:34:43) [MSC v.1310 32 bit (Intel)] on
win32
Type "help", "copyright", "credits" or "license" for more information.
>>> import cmath
>>> help(cmath.cos)
Help on built-in function cos in module cmath:

cos(...)
    cos(x)
    nReturn the cosine of x.

>>> help(cmath.cosh)
Help on built-in function cosh in module cmath:

cosh(...)
    cosh(x)
    nReturn the hyperbolic cosine of x.
"""
msg82917 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2009-02-28 15:51
Fixed in the trunk in r70062.  Thanks for the report!
History
Date User Action Args
2009-02-28 15:51:27mark.dickinsonsetstatus: open -> closed
resolution: fixed
messages: + msg82917
nosy: + mark.dickinson
2009-02-28 15:29:50mnewmancreate